<template>
  <div>
    <web-view :src="src"></web-view>
  </div>
</template>

<script>
import utils from "@/utils/index";
export default {
  data() {
    return {
      query: {},
      src: "",
      params:""
    };
  },
  methods: {
    name() {},
  },
  onLoad(query) {
    this.query = query;
    this.params = query.params||"{}"
    
    JSON.parse(this.params)
    this.src = this.query.src+'?'+utils.mapToUrlQuery(JSON.parse(this.params||{}));
  },
};
</script>

<style lang="scss" scoped>
</style>